<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToSecUserTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('sec_user', function(Blueprint $table)
		{
			$table->foreign('setor_id', 'fk375df2f925e4ddf4')->references('id')->on('sige.setores')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('setor_id', 'fk7d53d8de25e4ddf4')->references('id')->on('sige.setores')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('sec_user', function(Blueprint $table)
		{
			$table->dropForeign('fk375df2f925e4ddf4');
			$table->dropForeign('fk7d53d8de25e4ddf4');
		});
	}

}
